SilverLining: SilverLining::WindVolume Class Reference

Public Member Functions

# SilverLining::WindVolume Class Reference

Defines an area of a given wind velocity and direction bounded by two altitudes. More...

`#include <WindVolume.h>`

Inherits SilverLining::MemObject.

Collaboration diagram for SilverLining::WindVolume:
[legend]

List of all members.

## Public Member Functions
| WindVolume ()
| Default constructor.
virtual | ~WindVolume ()
| Destructor.
void SILVERLINING_API | SetMinAltitude (double metersMSL)
| Set the minimum altitude affected by this object's wind settings.
double SILVERLINING_API | GetMinAltitude () const
| Retrieves the minimum altitude, in meters above mean sea level, affected by this object.
void SILVERLINING_API | SetMaxAltitude (double metersMSL)
| Set the maximum altitude affected by this object's wind settings.
double SILVERLINING_API | GetMaxAltitude () const
| Retrieves the maximum altitude, in meters above mean sea level, affected by this object.
void SILVERLINING_API | SetWindSpeed (double metersPerSecond)
| Set the wind velocity within this WindVolume, in meters per second.
double SILVERLINING_API | GetWindSpeed () const
| Retrieves the wind velocity within this WindVolume, in meters per second.
void SILVERLINING_API | SetDirection (double degreesFromNorth)
| Sets the wind direction, in degrees East from North.
double SILVERLINING_API | GetDirection () const
| Retrieves the wind direction, in degrees East from North.
bool SILVERLINING_API | Inside (double metersMSL) const
| Evaluates if a given altitude is affected by this WindVolume.
bool SILVERLINING_API | Serialize (std::ostream &stream)
| Flattens this object and everything in it to a stream buffer.
bool SILVERLINING_API | Unserialize (std::istream &stream)
| Restores this object from the stream created using Serialize().

## Detailed Description

Defines an area of a given wind velocity and direction bounded by two altitudes.

Passed into AtmosphericConditions::SetWind() to define wind that will affect cloud motion.

## Constructor & Destructor Documentation

SilverLining::WindVolume::WindVolume | ( |  | ) | `[inline]`

Default constructor.

Creates a WindVolume with default settings of no wind from zero to 100,000 meters above mean sea level.

virtual SilverLining::WindVolume::~WindVolume | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

double SILVERLINING_API SilverLining::WindVolume::GetDirection | ( |  | ) | const`[inline]`

Retrieves the wind direction, in degrees East from North.

This is the direction the wind is blowing toward, not the direction it is coming from.

See also:
  SetDirection()

double SILVERLINING_API SilverLining::WindVolume::GetMaxAltitude | ( |  | ) | const`[inline]`

Retrieves the maximum altitude, in meters above mean sea level, affected by this object.

See also:
  SetMaxAltitude()

double SILVERLINING_API SilverLining::WindVolume::GetMinAltitude | ( |  | ) | const`[inline]`

Retrieves the minimum altitude, in meters above mean sea level, affected by this object.

See also:
  SetMinAltitude()

double SILVERLINING_API SilverLining::WindVolume::GetWindSpeed | ( |  | ) | const`[inline]`

Retrieves the wind velocity within this WindVolume, in meters per second.

See also:
  SetWindSpeed()

bool SILVERLINING_API SilverLining::WindVolume::Inside | ( | double | metersMSL | ) | const`[inline]`

Evaluates if a given altitude is affected by this WindVolume.

Parameters:

  | metersMSL | The altitude to query on, in meters above mean sea level.

Returns:
  True if the given altitude is affected by this WindVolume object.

bool SILVERLINING_API SilverLining::WindVolume::Serialize | ( | std::ostream & | stream | ) | `[inline]`

Flattens this object and everything in it to a stream buffer.

void SILVERLINING_API SilverLining::WindVolume::SetDirection | ( | double | degreesFromNorth | ) | `[inline]`

Sets the wind direction, in degrees East from North.

This is the direction the wind is blowing toward, not the direction it is coming from.

See also:
  GetDirection()

void SILVERLINING_API SilverLining::WindVolume::SetMaxAltitude | ( | double | metersMSL | ) | `[inline]`

Set the maximum altitude affected by this object's wind settings.

Parameters:

  | metersMSL | The maximum altitude of this WindVolume in meters above mean sea level.

See also:
  GetMaxAltitude()

void SILVERLINING_API SilverLining::WindVolume::SetMinAltitude | ( | double | metersMSL | ) | `[inline]`

Set the minimum altitude affected by this object's wind settings.

Parameters:

  | metersMSL | The minimum altitude of this WindVolume in meters above mean sea level.

See also:
  GetMinAltitude()

void SILVERLINING_API SilverLining::WindVolume::SetWindSpeed | ( | double | metersPerSecond | ) | `[inline]`

Set the wind velocity within this WindVolume, in meters per second.

See also:
  GetWindSpeed()

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/WindVolume.h